From 161ea86380a50caeee8de81fe82d6eb106a2fd39 Mon Sep 17 00:00:00 2001
From: Julien Rouhaud <julien.rouhaud@free.fr>
Date: Wed, 18 Mar 2020 15:16:35 +0100
Subject: [PATCH] Fix comment in index_concurrently_swap()

---
 src/backend/catalog/index.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/catalog/index.c b/src/backend/catalog/index.c
index 76fd938ce3..023ec7e618 100644
--- a/src/backend/catalog/index.c
+++ b/src/backend/catalog/index.c
@@ -1531,7 +1531,7 @@ index_concurrently_swap(Oid newIndexId, Oid oldIndexId, const char *oldName)
 	newIndexForm->indisclustered = oldIndexForm->indisclustered;
 
 	/*
-	 * Mark the old index as valid, and the new index as invalid similarly
+	 * Mark the new index as valid, and the old index as invalid similarly
 	 * to what index_set_state_flags() does.
 	 */
 	newIndexForm->indisvalid = true;
-- 
2.20.1

